List item modifiers
curl --request GET \
--url https://api.vori.com/v1/item-modifiers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vori.com/v1/item-modifiers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vori.com/v1/item-modifiers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"price_tag_label": "BOTTLE_DEPOSIT",
"store_id": "<string>",
"tax_behavior": "EXCLUDE",
"type": "bottle_deposit",
"updated_at": "2023-11-07T05:31:56Z",
"value": "199.99"
}
],
"has_more": true
}{
"error_code": "conflicting_list_parameters"
}{
"error_code": "insufficient_permissions",
"error_details": {
"action": "*",
"resource": "*"
}
}Item modifiers
List item modifiers
Lists item modifiers, newest first, across every store you can read.
GET
/
v1
/
item-modifiers
List item modifiers
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Return records that precede the record with this ID, in list order.
Pattern:
^[0-9]+$Maximum number of records to return.
Required range:
1 <= x <= 100Return records that follow the record with this ID, in list order.
Pattern:
^[0-9]+$ID of the store the item modifier belongs to. Repeat to match any of up to 20 values.
Business purpose of the item modifier. Repeat to match any of up to 20 values.
Available options:
bottle_deposit, custom, food_modifier Was this page helpful?